package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.member.entity.MemberEntity;
import com.ycwl.basic.model.pc.member.req.MemberReqQuery;
import com.ycwl.basic.model.pc.member.resp.MemberRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 17:22
 */
public interface MemberService {
    ApiResponse<PageInfo<MemberRespVO>> pageQuery(MemberReqQuery memberReqQuery);
    ApiResponse<List<MemberRespVO>> list(MemberReqQuery memberReqQuery);
    ApiResponse<MemberRespVO> getById(Long id);
    ApiResponse<Integer> add(MemberEntity member);
    ApiResponse<Integer> deleteById(Long id);
    ApiResponse<Integer> update(MemberEntity member);
}
